# class GGZCore | More...
Definition | `#include <GGZCore.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum GGZCoreOptions { parser = 1, modules = 2, threadio = 4 }

#### Public Methods

- GGZCore ()
- ~GGZCore ()
- int init (int options)

## Detailed Description

This is the main class. There must be at least one GGZCore object if one wants to create other objects (exceptions apply to the configuration classes).

enum GGZCoreOptions { parser = 1, modules = 2, threadio = 4 } | ### GGZCoreOptions

Options use to initialize the core lib.

GGZCore () | ### GGZCore

Constructor

~GGZCore () | ### ~GGZCore

Destructor

int init (int options) | ### init

Initialize ggzcore.

Generated by: josef on athlon500 on Tue Mar 19 23:18:22 2002, using kdoc 2.0a53.